Debian Bug report logs - #630251
patch for proposed updates / rdesktop sometimes fails to transfer files from win2k8

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Andreas Barth <aba@not.so.argh.org>

Date: Sun, 12 Jun 2011 18:12:01 UTC

Severity: normal

Tags: moreinfo, squeeze

Done: Cyril Brulebois <kibi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#630251; Package release.debian.org. (Sun, 12 Jun 2011 18:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@not.so.argh.org>:
New Bug report received and forwarded. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 12 Jun 2011 18:12:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@not.so.argh.org>
To: submit@bugs.debian.org
Subject: patch for proposed updates / rdesktop sometimes fails to transfer files from win2k8
Date: Sun, 12 Jun 2011 20:09:02 +0200
Package: release.debian.org

Hi,

some programms make rdesktop to fail to keep up the directory
forwarding to an win 2k8-server. Please see
http://sourceforge.net/tracker/?func=detail&aid=2812158&group_id=24366&atid=381349
for the bug, the fix is as follows:

--- rdesktop-1.6.0.orig/disk.c	2009-06-19 09:06:27.000000000 -0400
+++ rdesktop-1.6.0/disk.c	2009-06-25 09:40:44.000000000 -0400
@@ -1096,10 +1101,24 @@
 			rdp_out_unistr(out, fsinfo->type, 2 * strlen(fsinfo->type) - 2);
 			break;
 
+		/* JMD 20090623: Needed for Windows 2008 support
+		   http://msdn.microsoft.com/en-us/library/cc232104(PROT.13).aspx
+		   IRP Query Volume Information class: 0x07 */
+		case FileFsFullSizeInformation:
+			printf("Called FileFsFullSizeInformation\n");
+			out_uint32_le(out, stat_fs.f_blocks);	/* TotalAllocationUnits */
+			out_uint32_le(out, 0);	
+			out_uint32_le(out, stat_fs.f_bavail);	/* CallerAvailableAllocationUnits */
+			out_uint32_le(out, 0);	
+			out_uint32_le(out, stat_fs.f_bfree);	/* ActualAvailableAllocationUnits */
+			out_uint32_le(out, 0);	
+			out_uint32_le(out, stat_fs.f_bsize / 0x200);	/* SectorsPerAllocationUnit */
+			out_uint32_le(out, 0x200);	/* Bytes per sector */
+			break;
+
 		case FileFsLabelInformation:
 		case FileFsDeviceInformation:
 		case FileFsControlInformation:
-		case FileFsFullSizeInformation:
 		case FileFsObjectIdInformation:
 		case FileFsMaximumInformation:
 

Is this correct? If so, I'd prepare and upload an appropriate new
version to stable (oldstable has the same bug, and I'm happy to fix it
there too, but actually the current stable version just has bug fixes
compared to oldstable, so that the new stable version should be
backported to olstable in that case).


Andi




Added tag(s) squeeze. Request was from Adam D. Barratt <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Mon, 13 Jun 2011 19:33:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#630251; Package release.debian.org. (Mon, 13 Jun 2011 19:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 13 Jun 2011 19:39:03 GMT) Full text and rfc822 format available.

Message #12 received at 630251@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Andreas Barth <aba@not.so.argh.org>, 630251@bugs.debian.org
Cc: rdesktop@packages.qa.debian.org
Subject: Re: Bug#630251: patch for proposed updates / rdesktop sometimes fails to transfer files from win2k8
Date: Mon, 13 Jun 2011 20:35:12 +0100
tag 630251 + moreinfo
thanks

Hi,

On Sun, 2011-06-12 at 20:09 +0200, Andreas Barth wrote:
> some programms make rdesktop to fail to keep up the directory
> forwarding to an win 2k8-server. Please see
> http://sourceforge.net/tracker/?func=detail&aid=2812158&group_id=24366&atid=381349
> for the bug, the fix is as follows:
> 
> --- rdesktop-1.6.0.orig/disk.c	2009-06-19 09:06:27.000000000 -0400
> +++ rdesktop-1.6.0/disk.c	2009-06-25 09:40:44.000000000 -0400
> @@ -1096,10 +1101,24 @@
[...]

This is nearly, but not quite, the same as the corresponding code in the
current rdesktop package in unstable.  Other than the printf(), the
difference is that where the proposed fix has:

> +			out_uint32_le(out, stat_fs.f_blocks);	/* TotalAllocationUnits */
> +			out_uint32_le(out, 0);	
> +			out_uint32_le(out, stat_fs.f_bavail);	/* CallerAvailableAllocationUnits */
> +			out_uint32_le(out, 0);	

the package in unstable has:

                        out_uint32_le(out, stat_fs.f_blocks);   /* Total allocation units low */
                        out_uint32_le(out, 0);  /* Total allocation units high */
                        out_uint32_le(out, stat_fs.f_blocks);   /* Caller allocation units low */
                        out_uint32_le(out, 0);  /* Caller allocation units high */

I've CCed the rdesktop maintainers for any comments they might have.

Regards,

Adam





Added tag(s) moreinfo. Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Mon, 13 Jun 2011 19:39:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#630251; Package release.debian.org. (Mon, 13 Jun 2011 19:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 13 Jun 2011 19:51:03 GMT) Full text and rfc822 format available.

Message #19 received at 630251@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Andreas Barth <aba@not.so.argh.org>, 630251@bugs.debian.org
Cc: rdesktop@packages.debian.org
Subject: [Fwd: Bug#630251: patch for proposed updates / rdesktop sometimes fails to transfer files from win2k8]
Date: Mon, 13 Jun 2011 20:48:54 +0100
[and now with the correct maintainer address...]

Hi,

On Sun, 2011-06-12 at 20:09 +0200, Andreas Barth wrote:
> some programms make rdesktop to fail to keep up the directory
> forwarding to an win 2k8-server. Please see
> http://sourceforge.net/tracker/?func=detail&aid=2812158&group_id=24366&atid=381349
> for the bug, the fix is as follows:
> 
> --- rdesktop-1.6.0.orig/disk.c	2009-06-19 09:06:27.000000000 -0400
> +++ rdesktop-1.6.0/disk.c	2009-06-25 09:40:44.000000000 -0400
> @@ -1096,10 +1101,24 @@
[...]

This is nearly, but not quite, the same as the corresponding code in the
current rdesktop package in unstable.  Other than the printf(), the
difference is that where the proposed fix has:

> +			out_uint32_le(out, stat_fs.f_blocks);	/* TotalAllocationUnits */
> +			out_uint32_le(out, 0);	
> +			out_uint32_le(out, stat_fs.f_bavail);	/* CallerAvailableAllocationUnits */
> +			out_uint32_le(out, 0);	

the package in unstable has:

                        out_uint32_le(out, stat_fs.f_blocks);   /* Total allocation units low */
                        out_uint32_le(out, 0);  /* Total allocation units high */
                        out_uint32_le(out, stat_fs.f_blocks);   /* Caller allocation units low */
                        out_uint32_le(out, 0);  /* Caller allocation units high */

I've CCed the rdesktop maintainers for any comments they might have.

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#630251; Package release.debian.org. (Wed, 15 Jun 2011 04:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Laszlo Boszormenyi <gcs@debian.hu>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 15 Jun 2011 04:15:06 GMT) Full text and rfc822 format available.

Message #24 received at 630251@bugs.debian.org (full text, mbox):

From: Laszlo Boszormenyi <gcs@debian.hu>
To: Andreas Barth <aba@not.so.argh.org>
Cc: 630251@bugs.debian.org
Subject: Re: [Fwd: Bug#630251: patch for proposed updates / rdesktop sometimes fails to transfer files from win2k8]
Date: Wed, 15 Jun 2011 06:06:58 +0200
Hi Adam,

On Mon, 2011-06-13 at 20:48 +0100, Adam D. Barratt wrote:
> On Sun, 2011-06-12 at 20:09 +0200, Andreas Barth wrote:
> > some programms make rdesktop to fail to keep up the directory
> > forwarding to an win 2k8-server. Please see
> > http://sourceforge.net/tracker/?func=detail&aid=2812158&group_id=24366&atid=381349
> > for the bug, the fix is as follows:
> > 
> > --- rdesktop-1.6.0.orig/disk.c	2009-06-19 09:06:27.000000000 -0400
> > +++ rdesktop-1.6.0/disk.c	2009-06-25 09:40:44.000000000 -0400
> > @@ -1096,10 +1101,24 @@
> [...]
> 
> This is nearly, but not quite, the same as the corresponding code in the
> current rdesktop package in unstable.  Other than the printf(), the
> difference is that where the proposed fix has:
> 
> > +			out_uint32_le(out, stat_fs.f_blocks);	/* TotalAllocationUnits */
> > +			out_uint32_le(out, 0);	
> > +			out_uint32_le(out, stat_fs.f_bavail);	/* CallerAvailableAllocationUnits */
> > +			out_uint32_le(out, 0);	
> 
> the package in unstable has:
> 
>                         out_uint32_le(out, stat_fs.f_blocks);   /* Total allocation units low */
>                         out_uint32_le(out, 0);  /* Total allocation units high */
>                         out_uint32_le(out, stat_fs.f_blocks);   /* Caller allocation units low */
>                         out_uint32_le(out, 0);  /* Caller allocation units high */
> 
> I've CCed the rdesktop maintainers for any comments they might have.
 IMHO the former one is the correct, the changes in unstable seem to
have a copy&paste bug. stat_fs.f_blocks may has nothing to do with
'caller allocation units low'. Will ask upstream soon.

Laszlo/GCS





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#630251; Package release.debian.org. (Fri, 12 Aug 2011 20:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 12 Aug 2011 20:27:03 GMT) Full text and rfc822 format available.

Message #29 received at 630251@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Laszlo Boszormenyi <gcs@debian.hu>, 630251@bugs.debian.org
Cc: Andreas Barth <aba@not.so.argh.org>
Subject: Re: Bug#630251: [Fwd: Bug#630251: patch for proposed updates / rdesktop sometimes fails to transfer files from win2k8]
Date: Fri, 12 Aug 2011 21:25:59 +0100
On Wed, 2011-06-15 at 06:06 +0200, Laszlo Boszormenyi wrote:
> On Mon, 2011-06-13 at 20:48 +0100, Adam D. Barratt wrote:
> > On Sun, 2011-06-12 at 20:09 +0200, Andreas Barth wrote:
> > > some programms make rdesktop to fail to keep up the directory
> > > forwarding to an win 2k8-server. Please see
> > > http://sourceforge.net/tracker/?func=detail&aid=2812158&group_id=24366&atid=381349
> > > for the bug, the fix is as follows:
[...]
> > This is nearly, but not quite, the same as the corresponding code in the
> > current rdesktop package in unstable.  Other than the printf(), the
> > difference is that where the proposed fix has:
[...]
> > I've CCed the rdesktop maintainers for any comments they might have.
>  IMHO the former one is the correct, the changes in unstable seem to
> have a copy&paste bug. stat_fs.f_blocks may has nothing to do with
> 'caller allocation units low'. Will ask upstream soon.

Any news on that?

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#630251; Package release.debian.org. (Fri, 26 Aug 2011 23:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 26 Aug 2011 23:15:03 GMT) Full text and rfc822 format available.

Message #34 received at 630251@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Laszlo Boszormenyi <gcs@debian.hu>
Cc: Andreas Barth <aba@not.so.argh.org>, 630251@bugs.debian.org
Subject: Re: patch for proposed updates / rdesktop sometimes fails to transfer files from win2k8
Date: Fri, 26 Aug 2011 18:11:11 -0500
clone 630251 -1
retitle -1 rdesktop: value for CallerAvailableAllocationUnits from FileFsFullSizeInformation is too high
reassign -1 rdesktop 1.7.0-1
tags -1 = upstream
quit

Hi Laszlo,

Laszlo Boszormenyi wrote:
> On Mon, 2011-06-13 at 20:48 +0100, Adam D. Barratt wrote:

>> This is nearly, but not quite, the same as the corresponding code in the
>> current rdesktop package in unstable.  Other than the printf(), the
>> difference is that where the proposed fix has:
[...]
>>> +			out_uint32_le(out, stat_fs.f_bavail);	/* CallerAvailableAllocationUnits */
[...]
>> the package in unstable has:
[...]
>>                         out_uint32_le(out, stat_fs.f_blocks);   /* Caller allocation units low */
[...]
>  IMHO the former one is the correct, the changes in unstable seem to
> have a copy&paste bug. stat_fs.f_blocks may has nothing to do with
> 'caller allocation units low'. Will ask upstream soon.

FWIW I also suspect that Jean-Michel's patch was correct and the patch
applied upstream contains a typo.  disk.c in the upstream svn repo
looks the same as sid.  Cloning to track this.




Bug 630251 cloned as bug 639413. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Fri, 26 Aug 2011 23:15:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#630251; Package release.debian.org. (Thu, 12 Jan 2012 21:39:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 12 Jan 2012 21:39:14 GMT) Full text and rfc822 format available.

Message #41 received at 630251@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Jonathan Nieder <jrnieder@gmail.com>, 630251@bugs.debian.org
Cc: Laszlo Boszormenyi <gcs@debian.hu>, Andreas Barth <aba@not.so.argh.org>
Subject: Re: Bug#630251: patch for proposed updates / rdesktop sometimes fails to transfer files from win2k8
Date: Thu, 12 Jan 2012 21:38:38 +0000
On Fri, 2011-08-26 at 18:11 -0500, Jonathan Nieder wrote:
> Laszlo Boszormenyi wrote:
> > On Mon, 2011-06-13 at 20:48 +0100, Adam D. Barratt wrote:
> 
> >> This is nearly, but not quite, the same as the corresponding code in the
> >> current rdesktop package in unstable.  Other than the printf(), the
> >> difference is that where the proposed fix has:
[...]
> >  IMHO the former one is the correct, the changes in unstable seem to
> > have a copy&paste bug. stat_fs.f_blocks may has nothing to do with
> > 'caller allocation units low'. Will ask upstream soon.
> 
> FWIW I also suspect that Jean-Michel's patch was correct and the patch
> applied upstream contains a typo.  disk.c in the upstream svn repo
> looks the same as sid.  Cloning to track this.

Did this ever get resolved upstream?

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#630251; Package release.debian.org. (Wed, 12 Dec 2012 01:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 12 Dec 2012 01:36:03 GMT) Full text and rfc822 format available.

Message #46 received at 630251@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri@debian.org>
To: 630251@bugs.debian.org, Jonathan Nieder <jrnieder@gmail.com>, Laszlo Boszormenyi <gcs@debian.hu>, Andreas Barth <aba@not.so.argh.org>
Subject: Re: Bug#630251: patch for proposed updates / rdesktop sometimes fails to transfer files from win2k8
Date: Wed, 12 Dec 2012 02:33:17 +0100
Hi,

Adam D. Barratt wrote (12 Jan 2012 21:38:38 GMT) :
> On Fri, 2011-08-26 at 18:11 -0500, Jonathan Nieder wrote:
>> FWIW I also suspect that Jean-Michel's patch was correct and the patch
>> applied upstream contains a typo.  disk.c in the upstream svn repo
>> looks the same as sid.  Cloning to track this.

> Did this ever get resolved upstream?

Any news on that?

Cheers,
--
  intrigeri
  | GnuPG key @ https://gaffer.ptitcanardnoir.org/intrigeri/intrigeri.asc
  | OTR fingerprint @ https://gaffer.ptitcanardnoir.org/intrigeri/otr.asc



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#630251; Package release.debian.org. (Sat, 11 May 2013 17:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 11 May 2013 17:03:07 GMT) Full text and rfc822 format available.

Message #51 received at 630251@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: intrigeri <intrigeri@debian.org>, 630251@bugs.debian.org
Cc: Jonathan Nieder <jrnieder@gmail.com>, Laszlo Boszormenyi <gcs@debian.hu>, Andreas Barth <aba@not.so.argh.org>
Subject: Re: Bug#630251: patch for proposed updates / rdesktop sometimes fails to transfer files from win2k8
Date: Sat, 11 May 2013 17:58:45 +0100
On Wed, 2012-12-12 at 02:33 +0100, intrigeri wrote:
> Adam D. Barratt wrote (12 Jan 2012 21:38:38 GMT) :
> > On Fri, 2011-08-26 at 18:11 -0500, Jonathan Nieder wrote:
> >> FWIW I also suspect that Jean-Michel's patch was correct and the patch
> >> applied upstream contains a typo.  disk.c in the upstream svn repo
> >> looks the same as sid.  Cloning to track this.
> 
> > Did this ever get resolved upstream?
> 
> Any news on that?

Periodic ping.

Regards,

Adam




Reply sent to Cyril Brulebois <kibi@debian.org>:
You have taken responsibility. (Tue, 01 Oct 2013 22:54:16 GMT) Full text and rfc822 format available.

Notification sent to Andreas Barth <aba@not.so.argh.org>:
Bug acknowledged by developer. (Tue, 01 Oct 2013 22:54:17 GMT) Full text and rfc822 format available.

Message #56 received at 630251-done@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: 630251-done@bugs.debian.org
Cc: intrigeri <intrigeri@debian.org>, Jonathan Nieder <jrnieder@gmail.com>, Laszlo Boszormenyi <gcs@debian.hu>, Andreas Barth <aba@not.so.argh.org>
Subject: Re: Bug#630251: patch for proposed updates / rdesktop sometimes fails to transfer files from win2k8
Date: Wed, 2 Oct 2013 00:51:37 +0200
[Message part 1 (text/plain, inline)]
Adam D. Barratt <adam@adam-barratt.org.uk> (2013-05-11):
> On Wed, 2012-12-12 at 02:33 +0100, intrigeri wrote:
> > Adam D. Barratt wrote (12 Jan 2012 21:38:38 GMT) :
> > > On Fri, 2011-08-26 at 18:11 -0500, Jonathan Nieder wrote:
> > >> FWIW I also suspect that Jean-Michel's patch was correct and the patch
> > >> applied upstream contains a typo.  disk.c in the upstream svn repo
> > >> looks the same as sid.  Cloning to track this.
> > 
> > > Did this ever get resolved upstream?
> > 
> > Any news on that?
> 
> Periodic ping.

Unperiodic -done.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 30 Oct 2013 07:32:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 02:42:36 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.